Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004505Dwarf FortressAnimal Populationspublic2011-04-12 00:412014-07-27 18:25
ReporterKhym Chanur 
Assigned ToToady One 
Platformx86 (AMD Athlon 7550 Dual-Core)OSMandriva OneOS Version2010 (
Product Version0.31.25 
Target VersionFixed in Version0.40.05 
Summary0004505: Smaller than expected underground vermin populations
DescriptionUnderground vermin like cave lobsters, cave fish and purring maggots have much lower population numbers (as shown via "export map/gen info" from Legends mode) than surface vermin with similar POPULATION_NUMBER tags. This means that most underground lakes will have no fish or lobster in them, and there are only very few purring maggots to catch.
Tags0.40.04, Fixed in 0.40.05?
Attached Files

- Relationships

-  Notes
Quietust (reporter)
2012-07-12 06:30

I did some tests, examining populations in memory both for subregions and feature layers during a paused worldgen, and while surface populations are mostly within the expected ranges (POPULATION_NUMBER range multiplied by the number of region tiles), feature populations were indeed vastly lower - a cavern covering 29 region tiles contained only 390 naked mole dogs and 351 elk birds compared to the 435-870 and 725-1450 I would have expected. As worldgen goes on, those numbers only seem to get smaller.
Khym Chanur (reporter)
2014-07-24 17:15
edited on: 2014-07-24 17:41

Still present in 0.40.04. As an example, purring maggots have the same POPULATION_NUMBER stats as large roaches. In a pocket world there were 25 times as many roaches as maggots, and in a medium world 5.3 times as many.

*EDIT*: Also, the pocket world was 250 old, but the medium world was only 5 years old, so as noted in the previous comment, the disparity might grow the further worldgen goes on.

Khym Chanur (reporter)
2014-07-27 17:56

Something in 0.40.05 has made the problem go the opposite way, so that there seems to be too *many* underground vermin. A 250 year old pocket world had 5 times as many purring maggots as large roaches, while a 5 year old medium world had 14 times as many.

Anyway, *THIS* bug has definitely been fixed.

- Issue History
Date Modified Username Field Change
2011-04-12 00:41 Khym Chanur New Issue
2012-07-12 06:30 Quietust Note Added: 0023215
2014-07-24 17:15 Khym Chanur Note Added: 0027461
2014-07-24 17:17 lethosor Tag Attached: 0.40.04
2014-07-24 17:41 Khym Chanur Note Edited: 0027461 View Revisions
2014-07-27 17:53 Khym Chanur Tag Attached: Fixed in 0.40.05?
2014-07-27 17:56 Khym Chanur Note Added: 0027737
2014-07-27 18:25 lethosor Status new => resolved
2014-07-27 18:25 lethosor Fixed in Version => 0.40.05
2014-07-27 18:25 lethosor Resolution open => fixed
2014-07-27 18:25 lethosor Assigned To => Toady One

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker